UPGRADEPKG(8)

NAME
upgradepkg - upgrade Slackware packages.

SYNOPSIS
upgradepkg [ --dry-run ] [ --warn ] [ --install-new ] [ --reinstall ] [ --terse ] [ --terselength <length> ] [ --verbose ] newpackagename [newpackagename2]

upgradepkg [ --dry-run ] [ --warn ] [ --install-new ] [ --reinstall ] [ --terse ] [ --terselength <length> ] [ --verbose ] oldpackagename%newpackagename [old2%new2]

DESCRIPTION
upgradepkg upgrades a Slackware package from an older version to a newer one. It does this by INSTALLING the new package onto the system, and then REMOVING any files from the old package that aren't in the new package. If the old and new packages have the same name, a single argument is all that is required. If the packages have different names, supply the name of the old package followed by a percent symbol (%), then the name of the new package. Do not add any extra whitespace between pairs of old/new package names.

Before upgrading a package, save any configuration files (such as in /etc) that you wish to keep. Sometimes these will be preserved, but it depends on the package structure. If you want to force new versions of the config files to be installed, remove the old ones manually prior to running upgradepkg.

If upgradepkg finds more than one installed package matching the old package's name, it will remove them all.

To upgrade in a directory other than / (such as /mnt):

ROOT=/mnt upgradepkg package.txz (or .tbz, .tgz, .tlz)

OPTIONS

--dry-run
    Output a report about which packages would be installed or upgraded but don't actually perform the upgrades.

--warn
    This option does the same thing as --warn.

--install-new
    Normally upgradepkg only upgrades packages that are already installed on the system, and will skip any packages that do not already have a version installed. If --install-new is specified, the behavior is modified to install new packages in addition to upgrading existing ones.

--reinstall
    Upgradepkg usually skips packages if the exact same package (matching name, version, arch, and build number) is already installed on the system. Use the --reinstall option if you want to upgrade all packages even if the same version is already installed.

--terse
    Upgrade the package displaying only a single description line to stdout.

--terselength <length>
    Maximum line length of --terse mode output. Default is the number of terminal columns.

--verbose
    Show all the gory details of the upgrade.

AUTHOR
Patrick J. Volkerding <volkerdi@slackware.com>

SEE ALSO
makepkg(8), installpkg(8), removepkg(8), explodepkg(8), pkgtool(8)